%{!?__pear:       %define __pear       %{_bindir}/pear}
%{!?pear_phpdir:  %define pear_phpdir  %(%{__pear} config-get php_dir  2>/dev/null || echo 'None')}
%{!?pear_docdir:  %define pear_docdir  %(%{__pear} config-get doc_dir  2>/dev/null || echo 'None')}
%{!?pear_testdir: %define pear_testdir %(%{__pear} config-get test_dir 2>/dev/null || echo 'None')}
%{!?pear_datadir: %define pear_datadir %(%{__pear} config-get data_dir 2>/dev/null || echo 'None')}
%{!?pear_xmldir:  %define pear_xmldir  %{pear_phpdir}/.pkgxml}

%define modn      SOAP
%define modv      0.11.0


Summary:          A SOAP Client/Server for PHP
Name:             php-pear-%{modn}
Version:          %{modv}
Release:          1%{?dist}%{?pext}
License:          PHP
Group:            Development/Libraries
Source0:          http://download.pear.php.net/package/%{modn}-%{modv}.tgz
URL:              http://pear.php.net/package/%{modn}/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           Jan Schneider <jan@horde.org>
Provides:         php-pear(%{modn}) = %{modv}
Requires:         php >= 4.3
Requires:         php-pear(HTTP_Request)
Requires:         php-pear(Mail)
Requires:         php-pear(Mail_Mime)
Requires:         php-pear(Net_DIME)
Requires:         php-pear(PEAR) >= 1.4.0b1
Requires(post):   %{__pear}
Requires(postun): %{__pear}
BuildRequires:    php-pear(PEAR) >= 1.4.0b1
BuildArch:        noarch


%description
PEAR::SOAP is an implementation of the SOAP protocol and services.


%prep
%setup -q -c

[ -f package2.xml ] || %{__mv} package.xml package2.xml
%{__mv} package2.xml %{modn}-%{modv}/%{modn}.xml


%build


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

pushd %{modn}-%{modv}
%{__pear} install --nodeps                \
	--packagingroot ${RPM_BUILD_ROOT} \
	%{modn}.xml

# Prepare docs
%{__rm} -rf docdir && %{__mkdir_p} docdir
%{__mv} ${RPM_BUILD_ROOT}%{pear_docdir}/* docdir

# Cleanup
%{__rm} -rf ${RPM_BUILD_ROOT}%{pear_phpdir}/.??*

# Install package spec
%{__mkdir_p} ${RPM_BUILD_ROOT}%{pear_xmldir}
%{__install} -m 0644 -p %{modn}.xml ${RPM_BUILD_ROOT}%{pear_xmldir}


%post
%{__pear} install --nodeps --soft --force --register-only   \
	%{pear_xmldir}/%{modn}.xml >/dev/null || :


%postun
if [ $1 -eq 0 ]; then	# Remove
  %{__pear} uninstall --nodeps --ignore-errors --register-only \
	%{modn} >/dev/null || :
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc %{modn}-%{modv}/docdir/%{modn}/*
%{pear_xmldir}/%{modn}.xml
%{pear_phpdir}/%{modn}


%changelog
* Tue Sep 01 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.11.0-1
- Initial build
